all: ../data/sprites.json ../images/sprites.png ../images/tiles.png

../data/sprites.json: sprites/*.png
	spriter sprites/
	mv sprites.json ../data/
	rm -f sprites.png

../images/sprites.png: sprites/*.png
	spriter sprites/
	rm -f sprites.json
	mv sprites.png ../images/

../images/tiles.png: tiles/*.png
	montage -tile 1x -geometry 24x24+0+0 -background Transparent $^ $@
